package com.iformall.domain.vo;

import java.util.List;

/**
 * @author gongbiao
 */
public class WxBillAll {


    @io.swagger.annotations.ApiModelProperty(value="appId",name="appId")
    private String appId;

    @io.swagger.annotations.ApiModelProperty(value="租户ID",name="tenantId")
    private String tenantId;

    @io.swagger.annotations.ApiModelProperty(value="商户名称",name="merchantName")
    private String merchantName;

    @io.swagger.annotations.ApiModelProperty(value="账单类型",name="billTypeValue")
    private Integer billTypeValue;

    @io.swagger.annotations.ApiModelProperty(value="状态",name="status")
    private Integer status;

    @io.swagger.annotations.ApiModelProperty(value="日期",name="month")
    private String month;

    @io.swagger.annotations.ApiModelProperty(value="开始时间",name="starttime")
    private String starttime;

    @io.swagger.annotations.ApiModelProperty(value="结束时间",name="endtime")
    private String endtime;

    @io.swagger.annotations.ApiModelProperty(value="商户Id",name="merchantId")
    private Long merchantId;

    @io.swagger.annotations.ApiModelProperty(value="多个状态",name="statusList")
    private List<Integer> statusList;

    @io.swagger.annotations.ApiModelProperty(value="多个账单类型",name="typeList")
    private List<Integer> typeList;

    @io.swagger.annotations.ApiModelProperty(value="页码",name="pageIndex")
    private Integer pageIndex;

    @io.swagger.annotations.ApiModelProperty(value="条数",name="pageSize")
    private Integer pageSize;

    @io.swagger.annotations.ApiModelProperty(value="id",name="id")
    private Long id;

    @io.swagger.annotations.ApiModelProperty(value = "租赁店铺类型", name = "rentShopType")
    private Integer rentShopType;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public List<Integer> getStatusList() {
        return statusList;
    }

    public void setStatusList(List<Integer> statusList) {
        this.statusList = statusList;
    }

    public List<Integer> getTypeList() {
        return typeList;
    }

    public void setTypeList(List<Integer> typeList) {
        this.typeList = typeList;
    }

    public String getStarttime() {
        return starttime;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime;
    }

    public String getEndtime() {
        return endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public Long getMerchantId() {
        return merchantId;
    }

    public void setMerchantId(Long merchantId) {
        this.merchantId = merchantId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    public Integer getBillTypeValue() {
        return billTypeValue;
    }

    public void setBillTypeValue(Integer billTypeValue) {
        this.billTypeValue = billTypeValue;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public Integer getRentShopType() {
        return rentShopType;
    }

    public void setRentShopType(Integer rentShopType) {
        this.rentShopType = rentShopType;
    }
}
